Skip to main content

Documentation Index

Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Back to API List To retrieve the list of bot or admin roles available in an account.
This API requires a JWT generated by an application created only from the Admin Console.
FieldValue
MethodGET
Endpointhttps://{{host}}/api/public/roles?roleType=bot&limit=2
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeApp Builder: Not Applicable; Admin Console: Profile Management > Role Management

Path Parameters

ParameterRequiredDescription
hostRequiredEnvironment URL, for example, https://platform.kore.ai.
roleTypeRequiredThe role type: admin or bot.
limitOptionalNumber of records to fetch. Maximum is 50.

Sample Request

curl -X GET \
  'https://{{host}}/api/public/roles?roleType=bot&limit=2' \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}'

Sample Response (Admin)

{
    "total": 2,
    "availableMore": false,
    "roles": [
        {
            "roleType": "admin",
            "role": "admin",
            "rDesc": "Master administration role with full control on account activity",
            "permissions": {
                "Invite": "YES",
                "Manage User Profile Fields": "YES",
                "Manage Groups": "YES",
                "Single Sign On": "YES",
                "Manage Built-In Admin Roles": "YES",
                "Manage Custom Admin Roles": "YES",
                "View and Run Audit Reports": "YES"
            }
        }
    ]
}

Sample Response (Bot)

{
    "total": 5,
    "availableMore": true,
    "roles": [
        {
            "roleType": "bot",
            "_id": "6495a4d56ca3571b556xxxxx",
            "role": "Bot Owner",
            "rDesc": "Role of bot owners with full access to bot definition",
            "permissions": {
                "Tasks": ["FULL"],
                "Natural Language": ["FULL"],
                "Knowledge Graph": ["FULL"],
                "Bot Settings": ["FULL"],
                "Bot Import": ["YES"],
                "Publish bot": ["YES"],
                "Channels": ["YES"]
            }
        },
        {
            "roleType": "bot",
            "_id": "6495a4d56ca3571b556xxxxx",
            "role": "Bot Developer",
            "rDesc": "Role for bot co-developers",
            "permissions": {
                "Tasks": ["FULL"],
                "Natural Language": ["FULL"],
                "Bot Settings": ["FULL"],
                "Publish bot": ["YES"],
                "Channels": ["YES"]
            }
        }
    ]
}